Mark a channel read
POST/api/chat/channels/{channelId}/read
POST
/api/chat/channels/{channelId}/read
Moves this user’s read watermark, clearing the channel’s unread count.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”channelId
required
string format: uuid
Request Body
Section titled “Request Body”Optional explicit watermark
object
readAt
string format: date-time
Responses
Section titled “Responses”Watermark moved
object
ok
required
boolean
data
Invalid input
object
ok
required
boolean
error
required
string
code
string
Unauthenticated
object
ok
required
boolean
error
required
string
code
string
Forbidden
object
ok
required
boolean
error
required
string
code
string
Channel not found
object
ok
required
boolean
error
required
string
code
string
Server error
object
ok
required
boolean
error
required
string
code
string
